BLOCKDEV(8)

NOM
blockdev - Appeler les ioctls pour périphériques bloc en ligne de commande

SYNOPSIS
blockdev [-q] [-v] commande [commande ...] périphérique [périphérique ...]
blockdev --report [périphérique ...]

DESCRIPTION
L'utilitaire blockdev permet d'appeler des ioctls pour périphériques en mode blocs à partir de la ligne de commande.

OPTIONS

-V  Afficher la version et quitter.

-q  Pas de sortie.

-v  Sortie détaillée.

--report
    Afficher un compte-rendu pour le périphérique indiqué. Plusieurs périphériques peuvent être fournis. Si aucun n'est donné, tous les périphériques existant dans /proc/partitions seront affichés. Remarquez que la partition StartSec est en secteurs de 512 octets.

COMMANDES
Plusieurs périphériques et plusieurs commandes peuvent être fournis.

--flushbufs
    Forcer l'écriture des mémoires tampon.

--getalignoff
    Afficher l'index d'alignement.

--getbsz
    Afficher la taille des blocs, en octet.

--getdiscardzeroes
    Afficher l'état de prise en charge d'abandon des zéros.

--getfra
    Afficher le nombre de secteurs de 512 octets lus par anticipation « readahead » pour le système de fichiers.

--getiomin
    Afficher la taille minimale d'E/S.

--getioopt
    Afficher la taille optimale d'E/S.

--getmaxsect
    Afficher le nombre maximal de secteurs par requête.

--getpbsz
    Afficher la taille des blocs (secteurs) physiques.

--getra
    Afficher le nombre de secteurs (512 octets) lus par anticipation.

--getro
    Afficher 1 si le périphérique est en lecture seule, 0 sinon.

--getsize64
    Afficher la taille du périphérique, en octet.

--getsize
    Afficher la capacité (32 bits) du périphérique en secteur. Obsolète, préférer l'option --getsz.

--getss
    Afficher la taille des secteurs en octet — en général 512.

--getsz
    Afficher la capacité en secteurs de 512 octets.

--rereadpt
    Relire la table de partitions.

--setbsz octets
    Définir la taille de bloc. Remarquez que la taille de bloc est spécifique au descripteur de fichier actuel ouvrant le périphérique bloc, donc la modification de taille ne persistera que tant que blockdev aura le périphérique ouvert, et sera perdue lorsque blockdev se terminera.

--setfra secteurs
    Définir la lecture par anticipation (« readahead ») pour le système de fichiers (comme --setra sur les noyaux 2.6).

--setra secteurs
    Définir le nombre de secteurs (512 octets) lus par anticipation.

--setro
    Positionner en lecture seule.

--setrw
    Positionner en lecture/écriture.

AUTEUR
blockdev a été écrit par Andries E. Brouwer et réécrit par Karel Zak.

DISPONIBILITÉ
La commande blockdev fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Yves Rütschlé <l10n AT rutschle DOT net> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.